Bug 1618969 - installer checks for images with 'docker images -q'
Summary: installer checks for images with 'docker images -q'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.11.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.11.0
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1652282
TreeView+ depends on / blocked
 
Reported: 2018-08-19 03:28 UTC by Nicholas Nachefski
Modified: 2018-11-21 19:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Installer tasks used 'docker' command to check for container images which would fail if docker was not installed. Docker may not be installed if cri-o runtime is specified. Consequence: Installer tasks would fail when checking container images. Fix: Updated installer code to use the container image management tool based on the container runtime selected. Result: Installer uses the correct container image management tool based on the selected container runtime and installs successfully.
Clone Of:
: 1652282 (view as bug list)
Environment:
Last Closed: 2018-10-11 07:25:20 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:2652 None None None 2018-10-11 07:25:45 UTC

Description Nicholas Nachefski 2018-08-19 03:28:07 UTC
When installing 3.11 and using crio as the runtime, the image checks fail because docker is not installed.  You can simply 's/docker/crictl/' for those commands and then they work.  Otherwise, you have to make sure the docker runtime is also installed and running.

roles/openshift_node/tasks/config.yml:3
roles/etcd/tasks/static.yml:6
roles/openshift_control_plane/tasks/main.yml:14

Those commands should probably be parameter-ized (docker|crictl).

-Nick

Comment 1 Scott Dodson 2018-08-20 16:03:18 UTC
(In reply to Nicholas Nachefski from comment #0)
> When installing 3.11 and using crio as the runtime, the image checks fail
> because docker is not installed.  You can simply 's/docker/crictl/' for
> those commands and then they work.  Otherwise, you have to make sure the
> docker runtime is also installed and running.
> 
> roles/openshift_node/tasks/config.yml:3
> roles/etcd/tasks/static.yml:6
> roles/openshift_control_plane/tasks/main.yml:14
> 
> Those commands should probably be parameter-ized (docker|crictl).
> 
> -Nick

Agreed, we need to fix this.

BTW, You're doing cri-o only? Please be aware that there's no s2i without docker on the host.

Comment 2 Russell Teague 2018-08-30 03:36:30 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/9829

Comment 3 Russell Teague 2018-09-05 11:56:20 UTC
openshift-ansible-3.11.0-0.26.0

Comment 4 Johnny Liu 2018-09-05 16:55:49 UTC
Verified this bug with openshift-ansible-3.11.0-0.27.0.git.0.78b0bf9.el7.noarch, and PASS.

Trigger an install without docker installed, and setting openshift_use_crio=true
and openshift_use_crio_only=true in inventory file, installation is completed successfully.


TASK [openshift_node : Check that node image is present] ***********************
Thursday 06 September 2018  00:07:00 +0800 (0:00:00.044)       0:01:39.738 **** 
changed: [host-8-252-245.host.centralci.eng.rdu2.redhat.com] => {"changed": true, "cmd": ["crictl", "images", "-q", "registry.dev.redhat.io/openshift3/ose-node:v3.11.0"], "delta": "0:00:00.022681", "end": "2018-09-05 12:07:05.682454", "rc": 0, "start": "2018-09-05 12:07:05.659773", "stderr": "", "stderr_lines": [], "stdout": "", "stdout_lines": []}

TASK [etcd : Check that etcd image is present] *********************************
Thursday 06 September 2018  00:10:01 +0800 (0:00:00.074)       0:04:40.887 **** 
changed: [host-8-252-245.host.centralci.eng.rdu2.redhat.com] => {"changed": true, "cmd": ["crictl", "images", "-q", "registry.dev.redhat.io/rhel7/etcd:3.2.22"], "delta": "0:00:00.022508", "end": "2018-09-05 12:10:06.848721", "rc": 0, "start": "2018-09-05 12:10:06.826213", "stderr": "", "stderr_lines": [], "stdout": "", "stdout_lines": []}

TASK [openshift_control_plane : Check that origin image is present] ************
Thursday 06 September 2018  00:11:07 +0800 (0:00:00.049)       0:05:47.146 **** 
changed: [host-8-252-245.host.centralci.eng.rdu2.redhat.com] => {"changed": true, "cmd": ["crictl", "images", "-q", "registry.dev.redhat.io/openshift3/ose-control-plane:v3.11.0"], "delta": "0:00:00.019787", "end": "2018-09-05 12:11:13.089082", "rc": 0, "start": "2018-09-05 12:11:13.069295", "stderr": "", "stderr_lines": [], "stdout": "", "stdout_lines": []}

Comment 6 errata-xmlrpc 2018-10-11 07:25:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:2652


Note You need to log in before you can comment on or make changes to this bug.